<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.client.JabberClient</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.client-module.html">Module&nbsp;client</a> ::
        Class&nbsp;JabberClient
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class JabberClient</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient">source&nbsp;code</a></span></p>
<pre class="base-tree">
<a href="pyxmpp.client.Client-class.html">client.Client</a> --+
                |
               <strong class="uidshort">JabberClient</strong>
</pre>

<hr />
Base class for a Jabber client.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">server</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">port</span>=<span class="summary-sig-default">5222</span>,
        <span class="summary-sig-arg">auth_methods</span>=<span class="summary-sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">sasl:DIGEST-MD5</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">digest</code><code class="variable-quote">'</code><code class="variable-group">)</code></span>,
        <span class="summary-sig-arg">tls_settings</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">keepalive</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">disco_name</span>=<span class="summary-sig-default"><code class="variable-quote">u'</code><code class="variable-string">pyxmpp based Jabber client</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">disco_category</span>=<span class="summary-sig-default"><code class="variable-quote">u'</code><code class="variable-string">client</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">disco_type</span>=<span class="summary-sig-default"><code class="variable-quote">u'</code><code class="variable-string">pc</code><code class="variable-quote">'</code></span>)</span><br />
      Initialize a JabberClient object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#connect" class="summary-sig-name">connect</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">register</span>=<span class="summary-sig-default">False</span>)</span><br />
      Connect to the server and set up the stream.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.connect">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#register_feature" class="summary-sig-name">register_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">feature_name</span>)</span><br />
      Register a feature to be announced by Service Discovery.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.register_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#unregister_feature" class="summary-sig-name">unregister_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">feature_name</span>)</span><br />
      Unregister a feature to be announced by Service Discovery.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.unregister_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#submit_registration_form" class="summary-sig-name">submit_registration_form</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">form</span>)</span><br />
      Submit a registration form</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.submit_registration_form">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#__disco_info" class="summary-sig-name" onclick="show_private();">__disco_info</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Handle a disco#info request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.__disco_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#__disco_items" class="summary-sig-name" onclick="show_private();">__disco_items</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Handle a disco#items request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.__disco_items">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#_session_started" class="summary-sig-name" onclick="show_private();">_session_started</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Called when session is started.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient._session_started">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#authorized" class="summary-sig-name">authorized</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Handle &quot;authorized&quot; event.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.authorized">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#disco_get_info" class="summary-sig-name">disco_get_info</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Return Disco#info data for a node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.disco_get_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#disco_get_items" class="summary-sig-name">disco_get_items</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Return Disco#items data for a node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.disco_get_items">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.client.JabberClient-class.html#process_registration_form" class="summary-sig-name">process_registration_form</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>,
        <span class="summary-sig-arg">form</span>)</span><br />
      Fill-in the registration form provided by the server.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.process_registration_form">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.client.Client-class.html">client.Client</a></code></b>:
      <code><a href="pyxmpp.client.Client-class.html#authenticated">authenticated</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#connected">connected</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#disconnect">disconnect</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#disconnected">disconnected</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#get_socket">get_socket</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#get_stream">get_stream</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#idle">idle</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#loop">loop</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#request_roster">request_roster</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#request_session">request_session</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#roster_updated">roster_updated</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#session_started">session_started</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#stream_closed">stream_closed</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#stream_created">stream_created</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#stream_error">stream_error</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#stream_state_changed">stream_state_changed</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="disco_identity"></a><span class="summary-name">disco_identity</span><br />
      : default identity of the default <a href="pyxmpp.jabber.client.JabberClient-class.html#disco_info" class="link">disco_info</a>.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a></span>
    </td><td class="summary">
        <a name="disco_info"></a><span class="summary-name">disco_info</span><br />
      : default Disco#info reply for a query to an empty node --
provides information about the client and its supported fetures.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.disco.DiscoItems-class.html" class="link">DiscoItems</a></span>
    </td><td class="summary">
        <a name="disco_items"></a><span class="summary-name">disco_items</span><br />
      : default Disco#items reply for a query to an empty node.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">bool</code></span>
    </td><td class="summary">
        <a name="register"></a><span class="summary-name">register</span><br />
      : when <code class="link">True</code> than registration will be started instead of authentication.
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.client.Client-class.html">client.Client</a></code></b>:
      <code><a href="pyxmpp.client.Client-class.html#auth_methods">auth_methods</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#interface_providers">interface_providers</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#jid">jid</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#keepalive">keepalive</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#lock">lock</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#password">password</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#port">port</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#roster">roster</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#server">server</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#session_established">session_established</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#state_changed">state_changed</a></code>,
      <code><a href="pyxmpp.client.Client-class.html#stream">stream</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">server</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">port</span>=<span class="sig-default">5222</span>,
        <span class="sig-arg">auth_methods</span>=<span class="sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">sasl:DIGEST-MD5</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">digest</code><code class="variable-quote">'</code><code class="variable-group">)</code></span>,
        <span class="sig-arg">tls_settings</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">keepalive</span>=<span class="sig-default">0</span>,
        <span class="sig-arg">disco_name</span>=<span class="sig-default"><code class="variable-quote">u'</code><code class="variable-string">pyxmpp based Jabber client</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">disco_category</span>=<span class="sig-default"><code class="variable-quote">u'</code><code class="variable-string">client</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">disco_type</span>=<span class="sig-default"><code class="variable-quote">u'</code><code class="variable-string">pc</code><code class="variable-quote">'</code></span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a JabberClient object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">pyxmpp.JID</a>) - : user full JID for the connection.</li>
        <li><strong class="pname"><code>password</code></strong> (: <code class="link">unicode</code>) - : user password.</li>
        <li><strong class="pname"><code>server</code></strong> (: <code class="link">unicode</code>) - : server to use. If not given then address will be derived form the JID.</li>
        <li><strong class="pname"><code>port</code></strong> (: <code class="link">int</code>) - : port number to use. If not given then address will be derived form the JID.</li>
        <li><strong class="pname"><code>auth_methods</code></strong> (: sequence of <code class="link">str</code>) - : sallowed authentication methods. SASL authentication mechanisms
in the list should be prefixed with &quot;sasl:&quot; string.</li>
        <li><strong class="pname"><code>tls_settings</code></strong> (: <a href="pyxmpp.streamtls.TLSSettings-class.html" class="link">pyxmpp.TLSSettings</a>) - : settings for StartTLS -- <a href="pyxmpp.streamtls.TLSSettings-class.html" class="link">TLSSettings</a> instance.</li>
        <li><strong class="pname"><code>keepalive</code></strong> (: <code class="link">int</code>) - : keepalive output interval. 0 to disable.</li>
        <li><strong class="pname"><code>disco_name</code></strong> (: <code class="link">unicode</code>) - : name of the client identity in the disco#info
replies.</li>
        <li><strong class="pname"><code>disco_category</code></strong> (: <code class="link">unicode</code>) - : category of the client identity in the disco#info
replies. The default of u'client' should be the right choice in
most cases.</li>
        <li><strong class="pname"><code>disco_type</code></strong> (: <code class="link">unicode</code>) - : type of the client identity in the disco#info
replies. Use <a class="rst-reference external" href="http://www.jabber.org/registrar/disco-categories.html" target="_top">the types registered by Jabber Registrar</a></li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.client.Client-class.html#__init__">client.Client.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="connect"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">connect</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">register</span>=<span class="sig-default">False</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.connect">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Connect to the server and set up the stream.</p>
<p>Set <a href="pyxmpp.client.Client-class.html#stream" class="link">self.stream</a> and notify <a href="pyxmpp.client.Client-class.html#state_changed" class="link">self.state_changed</a> when connection
succeeds. Additionally, initialize Disco items and info of the client.</p>
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.client.Client-class.html#connect">client.Client.connect</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="register_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">register_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">feature_name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.register_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Register a feature to be announced by Service Discovery.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>feature_name</code></strong> (: <code class="link">unicode</code>) - : feature namespace or name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="unregister_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">unregister_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">feature_name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.unregister_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Unregister a feature to be announced by Service Discovery.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>feature_name</code></strong> (: <code class="link">unicode</code>) - : feature namespace or name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="submit_registration_form"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">submit_registration_form</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">form</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.submit_registration_form">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Submit a registration form
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>form</code></strong> (: <a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">pyxmpp.jabber.dataforms.Form</a>) - : the form to submit</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__disco_info"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__disco_info</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.__disco_info">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle a disco#info request.</p>
<p><a href="pyxmpp.jabber.client.JabberClient-class.html#disco_get_info" class="link">self.disco_get_info</a> method will be used to prepare the query response.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>iq</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.iq.Iq</a>) - : the IQ stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__disco_items"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__disco_items</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.__disco_items">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle a disco#items request.</p>
<p><a href="pyxmpp.jabber.client.JabberClient-class.html#disco_get_items" class="link">self.disco_get_items</a> method will be used to prepare the query response.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>iq</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.iq.Iq</a>) - : the IQ stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_session_started"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_session_started</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient._session_started">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Called when session is started.</p>
<p>Activates objects from <code class="link">self.interface_provides</code> by installing
their disco features.</p>
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.client.Client-class.html#_session_started" onclick="show_private();">client.Client._session_started</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="authorized"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">authorized</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.authorized">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Handle &quot;authorized&quot; event. May be overriden in derived classes.
By default: request an IM session and setup Disco handlers.
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.client.Client-class.html#authorized">client.Client.authorized</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="disco_get_info"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">disco_get_info</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">node</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.disco_get_info">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Return Disco#info data for a node.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>node</code></strong> (: <code class="link">unicode</code>) - : the node queried.</li>
        <li><strong class="pname"><code>iq</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.iq.Iq</a>) - : the request stanza received.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a></dt>
        <dd>self.disco_info if <code class="link">node</code> is empty or <code class="link">None</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<a name="disco_get_items"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">disco_get_items</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">node</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.disco_get_items">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Return Disco#items data for a node.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>node</code></strong> (: <code class="link">unicode</code>) - : the node queried.</li>
        <li><strong class="pname"><code>iq</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.iq.Iq</a>) - : the request stanza received.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">DiscoInfo</a></dt>
        <dd>self.disco_info if <code class="link">node</code> is empty or <code class="link">None</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<a name="process_registration_form"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_registration_form</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>,
        <span class="sig-arg">form</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.client-pysrc.html#JabberClient.process_registration_form">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Fill-in the registration form provided by the server.</p>
<p>This default implementation fills-in &quot;username&quot; and &quot;passwords&quot;
fields only and instantly submits the form.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.iq.Iq</a>) - : the stanza received.</li>
        <li><strong class="pname"><code>form</code></strong> (: <a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">pyxmpp.jabber.dataforms.Form</a>) - : the registration form.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:00 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
